/*
 * Copyright 2018-present Open Networking Foundation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { ZoomableDirective } from './zoomable.directive';
import {inject, TestBed} from '@angular/core/testing';
import {LogService, ConsoleLoggerService} from 'gui2-fw-lib';
import {ElementRef} from '@angular/core';

describe('ZoomableDirective', () => {
    let log: LogService;
    let mockWindow: Window;

    beforeEach(() => {
        log = new ConsoleLoggerService();

        mockWindow = <any>{
            navigator: {
                userAgent: 'HeadlessChrome',
                vendor: 'Google Inc.'
            }
        };

        TestBed.configureTestingModule({
            providers: [ZoomableDirective,
                {provide: LogService, useValue: log},
                { provide: ElementRef, useValue: mockWindow }
            ]
        });
    });

    it('should create an instance', inject([ZoomableDirective], (directive: ZoomableDirective) => {

        expect(directive).toBeTruthy();
    }));
});
